php-symfony-event-dispatcher-2.3.42-2.el6.noarch.rpm


Advertisement

Description

php-symfony-event-dispatcher - Symfony EventDispatcher Component

Property Value
Distribution CentOS 6
Repository EPEL i386
Package filename php-symfony-event-dispatcher-2.3.42-2.el6.noarch.rpm
Package name php-symfony-event-dispatcher
Package version 2.3.42
Package release 2.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://symfony.com/doc/2.3/components/event_dispatcher/index.html
License MIT
Maintainer -
Download size 14.51 KB
Installed size 28.01 KB
The Symfony Event Dispatcher component implements the Observer [1] pattern in
a simple and effective way to make all these things possible and to make your
projects truly extensible.
[1] http://en.wikipedia.org/wiki/Observer_pattern

Alternatives

Package Version Architecture Repository
php-symfony-event-dispatcher-2.8.52-2.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-event-dispatcher-2.8.52-2.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-event-dispatcher-2.8.52-1.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-event-dispatcher-2.8.52-1.el6.remi.noarch.rpm 2.8.52 noarch Les RPM de Remi
php-symfony-event-dispatcher-2.3.42-2.el6.noarch.rpm 2.3.42 noarch EPEL
php-symfony-event-dispatcher - - -

Requires

Name Value
php-composer(symfony/dependency-injection) = 2.3.42
php-composer(symfony/http-kernel) = 2.3.42
php-spl -

Provides

Name Value
php-composer(symfony/event-dispatcher) = 2.3.42
php-pear(pear.symfony.com/EventDispatcher) = 2.3.42
php-symfony-event-dispatcher = 2.3.42-2.el6
php-symfony-eventdispatcher = 2.3.42
php-symfony2-EventDispatcher = 2.3.42

Obsoletes

Name Value
php-symfony-eventdispatcher < 2.3.42
php-symfony2-EventDispatcher < 2.3.42

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-symfony-event-dispatcher-2.3.42-2.el6.noarch.rpm
Source Package php-symfony-2.3.42-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/i386/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install php-symfony-event-dispatcher rpm package:
    # yum install php-symfony-event-dispatcher

Files

Path
/usr/share/doc/php-symfony-event-dispatcher-2.3.42/CHANGELOG.md
/usr/share/doc/php-symfony-event-dispatcher-2.3.42/LICENSE
/usr/share/doc/php-symfony-event-dispatcher-2.3.42/README.md
/usr/share/doc/php-symfony-event-dispatcher-2.3.42/composer.json
/usr/share/php/Symfony/Component/EventDispatcher/ContainerAwareEventDispatcher.php
/usr/share/php/Symfony/Component/EventDispatcher/Event.php
/usr/share/php/Symfony/Component/EventDispatcher/EventDispatcher.php
/usr/share/php/Symfony/Component/EventDispatcher/EventDispatcherInterface.php
/usr/share/php/Symfony/Component/EventDispatcher/EventSubscriberInterface.php
/usr/share/php/Symfony/Component/EventDispatcher/GenericEvent.php
/usr/share/php/Symfony/Component/EventDispatcher/ImmutableEventDispatcher.php
/usr/share/php/Symfony/Component/EventDispatcher/autoload.php
/usr/share/php/Symfony/Component/EventDispatcher/autoloader.php
/usr/share/php/Symfony/Component/EventDispatcher/Debug/TraceableEventDispatcherInterface.php

Changelog

2019-06-19 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-2
- Disable tests by default (follows php-symfony3 and php-symfony4 pkgs)
- Always require build dependencies
- Remove php-composer(paragonie/random_compat) version constraint
2016-09-30 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-1
- Updated to 2.3.42
- CVE-2015-8124
- CVE-2015-8125
- CVE-2016-1902, RHBZ #1340830, RHBZ #1340831
- CVE-2016-4423, RHBZ #1340833, RHBZ #1340834
2015-07-13 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.31-1
- Updated to 2.3.31
- Fixed autoloader
2015-06-06 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.30-1
- Updated to 2.3.30 (BZ #1227264, 1227266)
- CVE-2015-4050, CVE-2015-2308, CVE-2015-2309, CVE-2014-6072, CVE-2014-5245,
CVE-2014-4931, CVE-2014-6061, CVE-2014-5244
- Updated dependencies to use php-composer()
- Added php-composer(symfony/*) provides
- Added autoloaders
2014-01-05 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.9-1
- Updated to 2.3.9 (BZ #1038134)
- Conditional %{?dist}
- Minor bash cosmetic changes
- Skip additional test relying on external resources
- Skip additional el6 test
2013-12-18 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.8-1
- Updated to 2.3.8 (BZ #1038134)
- Temporarily skip test known to fail on Fedora > 20
2013-12-14 - Remi Collet <remi@fedoraproject.org> - 2.3.7-4
- fix PEAR compatibility: add missing "autoloader.php"
2013-11-26 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-3
- Fixed several summaries and descriptions ("Symfony2" => "Symfony")
2013-11-22 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-2
- Renamed from "php-symfony2" to "php-symfony"
- Updated main pkg summary
- Removed dependency on common sub-pkg for sub-pkgs that require other sub-pkgs
- Common sub-pkg obsoletes php-channel-symfony2
- Fixed swiftmailerbridge sub-pkg dependency
- Updated %check to use PHPUnit's "--include-path" option
2013-11-17 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-1
- Updated to 2.3.7
- Separated icu pkg
- Added php-composer(ircmaxell/password-compat) requires for el6 (PHP < 5.5.0)
- common sub-pkg now owns %{symfony_dir}/{Bridge,Bundle,Component}
- Fixed classloader URL

See Also

Package Description
php-symfony-filesystem-2.3.42-2.el6.noarch.rpm Symfony Filesystem Component
php-symfony-finder-2.3.42-2.el6.noarch.rpm Symfony Finder Component
php-symfony-form-2.3.42-2.el6.noarch.rpm Symfony Form Component
php-symfony-framework-bundle-2.3.42-2.el6.noarch.rpm Symfony Framework Bundle
php-symfony-http-foundation-2.3.42-2.el6.noarch.rpm Symfony HttpFoundation Component
php-symfony-http-kernel-2.3.42-2.el6.noarch.rpm Symfony HttpKernel Component
php-symfony-icu-1.1.2-1.el6.noarch.rpm Symfony Icu Component
php-symfony-intl-2.3.42-2.el6.noarch.rpm Symfony Intl Component
php-symfony-locale-2.3.42-2.el6.noarch.rpm Symfony Locale Component
php-symfony-monolog-bridge-2.3.42-2.el6.noarch.rpm Symfony Monolog Bridge
php-symfony-options-resolver-2.3.42-2.el6.noarch.rpm Symfony OptionsResolver Component
php-symfony-polyfill-1.5.0-1.el6.noarch.rpm Symfony polyfills backporting features to lower PHP versions
php-symfony-process-2.3.42-2.el6.noarch.rpm Symfony Process Component
php-symfony-property-access-2.3.42-2.el6.noarch.rpm Symfony PropertyAccess Component
php-symfony-psr-http-message-bridge-1.0.2-2.el6.noarch.rpm Symfony PSR HTTP message bridge
Advertisement
Advertisement